Skip to content

List Auto Scaling Group Load Balancers

GET
/gateway/autoscale-groups/{vmpool_name}/attachments/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/gateway/autoscale-groups/{vmpool_name}/attachments/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns the Load Balancers of the project that have the Auto Scaling Group as a backend, with the backend group that holds it. serving is true when the Load Balancer is Running. The list is empty when none has it.

vmpool_name
required
string

Auto Scaling Group name

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

The attachments

Media typeapplication/json
object
code
integer
message
string
data
Array<object>
object
load_balancer
object
id
integer
name
string
status
string
target_group
object
id
integer
name
string
serving

true when the Load Balancer is Running.

boolean
errors
object

Example

{
"code": 200,
"message": "Success",
"data": [
{
"load_balancer": {
"id": 12,
"name": "example-lb",
"status": "Running"
},
"target_group": {
"id": 7,
"name": "web-backend"
},
"serving": true
}
],
"errors": {}
}

The project ID is missing or is not a number.

Media typeapplication/json
object
code
integer
message
string
data
object
errors
string

Example

{
"code": 400,
"message": "Bad Request",
"data": {},
"errors": "Project ID is missing or invalid"
}